"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.apigw = exports.ApiGatewayTrigger = void 0;
const base_1 = require("./base");
/**
 * https://help.aliyun.com/document_detail/54788.html
 */
class ApiGatewayTrigger extends base_1.FCBaseTrigger {
    async toArgs() {
        const event = Buffer.from(JSON.stringify(Object.assign({
            path: this.triggerOptions.path || 'api request path',
            httpMethod: this.triggerOptions.method || 'request method name',
            headers: Object.assign({ 'X-Ca-Timestamp': Date.now() }, this.triggerOptions.headers),
            queryParameters: this.triggerOptions.query || {},
            pathParameters: this.triggerOptions.pathParameters || {},
            body: this.triggerOptions.body || '',
            isBase64Encoded: false,
        })));
        return [event, this.createContext()];
    }
}
exports.ApiGatewayTrigger = ApiGatewayTrigger;
exports.apigw = ApiGatewayTrigger;
//# sourceMappingURL=apiGateway.js.map